Skip to main content
Quotes

Get child quotes

Get a list of all (child) Quotes linked to a (primary) Quote ID in a tree structure.

GET
/qt/quotes/{quote_id}/child-quotes

Note: circular references are not allowed and will result in a validation error.

This method requires the Quotes:GetChildQuotes permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
quote_idstringrequired

Quote Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
depthintegerquery

(Optional) The depth of parent / child relationships required.

1 = children only 2 = children and grandchildren 3 = children, grandchildren, and great-grandchildren

Maximum 100.

By default, the full parent / child relationship history is returned unless the depth exceeds 100 in which case you get a validation error.

Required range: 1 <= x <= 100

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject